MVCGroupConfiguration (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface MVCGroupConfiguration

    griffon.core.ApplicationHandler
      griffon.core.MVCGroupConfiguration

All Superinterfaces:
  ApplicationHandler

    public interface MVCGroupConfiguration
    extends ApplicationHandler

Holds the configuration of an MVC group

Authors:
  Andres Almiray

Since:
  0.9.4

Method Summary
`MVCGroup` | `create()` Creates a new MVCGroup instance based in this configuration.
`MVCGroup` | `create(String mvcId)` Creates a new MVCGroup instance based in this configuration.
`MVCGroup` | `create(Map args)` Creates a new MVCGroup instance based in this configuration.
`MVCGroup` | `create(String mvcId, Map args)` Creates a new MVCGroup instance based in this configuration.
`Map` | `getConfig()` Returns a Map with additional configuration for this group.
`Map` | `getMembers()` Returns a Map with the names of all members keyed by type.
`String` | `getMvcType()` Returns the type of this group.

Methods inherited from interface ApplicationHandler
getApp

Method Detail

### create

    public MVCGroup create()

  Creates a new MVCGroup instance based in this configuration. The group's id will should be set to the group's type and an empty Map should be used as the additional arguments.
  Returns:
    a newly instantiated MVCGroup

### create

    public MVCGroup create(String mvcId)

  Creates a new MVCGroup instance based in this configuration. An empty Map should be used as the additional arguments.
  Parameters:
    `mvcId` - the id to assign to this group
  Returns:
    a newly instantiated MVCGroup

### create

    public MVCGroup create(Map args)

  Creates a new MVCGroup instance based in this configuration. The group's id will should be set to the group's type.
  Parameters:
    `args` - additional arguments sent to each member when initializing
  Returns:
    a newly instantiated MVCGroup

### create

    public MVCGroup create(String mvcId, Map args)

  Creates a new MVCGroup instance based in this configuration.
  Parameters:
    `mvcId` - the id to assign to this group
    `args` - additional arguments sent to each member when initializing
  Returns:
    a newly instantiated MVCGroup

### getConfig

    public Map getConfig()

  Returns a Map with additional configuration for this group.
  Returns:
    a Map with additional configuration for this group.

### getMembers

    public Map getMembers()

  Returns a Map with the names of all members keyed by type.
  Returns:
    a Map of all configured members as defined by the application's configuration or and addon contribution.

### getMvcType

    public String getMvcType()

  Returns the type of this group.
  Returns:
    the type of the group.

Groovy Documentation